Loading...
Searching...
No Matches
pappso::IntegrationScopeSpec Struct Reference

`#include <integrationscopebase.h>`

## Public Member Functions

| IntegrationScopeSpec ()
| IntegrationScopeSpec (IntegrationScopeBaseSPtr integration_scope_sp, Enums::DataKind data_kind)
| IntegrationScopeSpec (const IntegrationScopeSpec &other)
IntegrationScopeSpec & | operator= (const IntegrationScopeSpec &other)
QString | toString () const

## Public Attributes

IntegrationScopeBaseSPtr | integrationScopeSPtr
Enums::DataKind | dataKind = Enums::DataKind::unset

## Detailed Description

Definition at line 120 of file integrationscopebase.h.

## Constructor & Destructor Documentation

## IntegrationScopeSpec() [1/3]

pappso::IntegrationScopeSpec::IntegrationScopeSpec | ( |  | ) |

Referenced by IntegrationScopeSpec(), and operator=().

## IntegrationScopeSpec() [2/3]

pappso::IntegrationScopeSpec::IntegrationScopeSpec | ( | IntegrationScopeBaseSPtr | integration_scope_sp,
|  | Enums::DataKind | data_kind )

inline

Definition at line 131 of file integrationscopebase.h.

: integrationScopeSPtr(integration_scope_sp), dataKind(data_kind)
{
}
pappso::IntegrationScopeSpec::integrationScopeSPtr
IntegrationScopeBaseSPtr integrationScopeSPtr
Definition integrationscopebase.h:123
pappso::IntegrationScopeSpec::dataKind
Enums::DataKind dataKind
Definition integrationscopebase.h:124

References dataKind, and integrationScopeSPtr.

## IntegrationScopeSpec() [3/3]

pappso::IntegrationScopeSpec::IntegrationScopeSpec | ( | const IntegrationScopeSpec & | other | ) |

inline

Definition at line 137 of file integrationscopebase.h.

: integrationScopeSPtr(other.integrationScopeSPtr), dataKind(other.dataKind)
{
}

References IntegrationScopeSpec(), dataKind, and integrationScopeSPtr.

## Member Function Documentation

## operator=()

IntegrationScopeSpec & pappso::IntegrationScopeSpec::operator= | ( | const IntegrationScopeSpec & | other | ) |

inline

Definition at line 143 of file integrationscopebase.h.

{
if(this == &other)
return *this;
integrationScopeSPtr = other.integrationScopeSPtr;
dataKind = other.dataKind;
return *this;
}

References IntegrationScopeSpec(), dataKind, and integrationScopeSPtr.

## toString()

QString pappso::IntegrationScopeSpec::toString | ( |  | ) | const

inline

Definition at line 155 of file integrationscopebase.h.

{
QString text = "Integration scope spec:";
text += integrationScopeSPtr->toString();
text += " - data kind: ";
if(dataKind == Enums::DataKind::dt)
text += "dt.";
else if(dataKind == Enums::DataKind::mz)
text += "m/z.";
else if(dataKind == Enums::DataKind::rt)
text += "rt.";
else
text += "unset.";
return text;
}
pappso::Enums::DataKind::dt
@ dt
Drift time.
Definition types.h:252
pappso::Enums::DataKind::mz
@ mz
m/z
Definition types.h:253
pappso::Enums::DataKind::rt
@ rt
Retention time.
Definition types.h:251

References dataKind, pappso::Enums::dt, integrationScopeSPtr, pappso::Enums::mz, and pappso::Enums::rt.

## Member Data Documentation

## dataKind

Enums::DataKind pappso::IntegrationScopeSpec::dataKind = Enums::DataKind::unset

Definition at line 124 of file integrationscopebase.h.

Referenced by IntegrationScopeSpec(), IntegrationScopeSpec(), operator=(), and toString().

## integrationScopeSPtr

IntegrationScopeBaseSPtr pappso::IntegrationScopeSpec::integrationScopeSPtr

Definition at line 123 of file integrationscopebase.h.

Referenced by IntegrationScopeSpec(), IntegrationScopeSpec(), operator=(), and toString().

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/combiners/integrationscopebase.h